Bug 1591268 - glibc: Problem with iconv converting ISO8859-1 to IBM273 [rhel-7]
Summary: glibc: Problem with iconv converting ISO8859-1 to IBM273 [rhel-7]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Arjun Shankar
QA Contact: qe-baseos-tools
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1591265 1592270
Blocks: 1594286 1643040
TreeView+ depends on / blocked
 
Reported: 2018-06-14 12:28 UTC by Paulo Andrade
Modified: 2019-08-06 12:49 UTC (History)
13 users (show)

Fixed In Version: glibc-2.17-271.el7
Doc Type: Bug Fix
Doc Text:
.`iconv` can convert between the IBM273 and ISO-8859-1 character sets Previously, the `glibc` implementation of the IBM273 character set was not equivalent to the ISO-8859-1 character set. It did not have a representation for the Unicode character `MACRON`, instead it used the corresponding byte to represent the `OVERLINE` Unicode character, which has the same visual representation as a `MACRON`. As a consequence, using the `iconv` tool provided by `glibc` to convert IBM273 text containing an `OVERLINE` character to ISO-8859-1 or ISO-8859-1 text containing a `MACRON` character to IBM273 resulted in an error during conversion. To fix this bug, the IBM273 character set was made equivalent to the ISO-8859-1 character set by replacing its `OVERLINE` representation with `MACRON`. As a result, both character sets now use the `MACRON` Unicode character, are equivalent, and conversion from one to the other does not lead to an error.
Clone Of: 1591265
: 1592270 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:49:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2118 None None None 2019-08-06 12:49:33 UTC
Sourceware 23290 None None None 2019-08-07 10:19:29 UTC

Description Paulo Andrade 2018-06-14 12:28:14 UTC
+++ This bug was initially created as a clone of Bug #1591265 +++

Converting files or characters using iconv (or the iconv library) result in
an "illegal input sequence" error when encountering an "overscore" character
(IS08859-1: Hex "AF"). This happens tough there is a corresponding character
is available in IBM273 (Hex: "BC"). Converting to IBM1141, which is  the same
table as IBM273 except for the EURO-Sign works.

You can reproduce this behavior with the following command:

echo "AF" | xxd -r -p | iconv -f iso8859-1 -t ibm273

In contrast:
echo "AF" | xxd -r -p | iconv -f iso8859-1 -t ibm1141
works.

Using ibm273//TRANSLIT is not an option currently, as it would require a
lot of changes in the user code, and would just not throw an error, but
replace the "overscore" with an "o".

This problem happens in rhel7 and fedora 28.

Comment 1 Florian Weimer 2018-06-20 17:01:17 UTC
Fixed upstream:

commit 14beef7575099f6373f9a45b4656f1e3675f7372
Author: Florian Weimer <fweimer@redhat.com>
Date:   Thu Jun 14 22:34:09 2018 +0200

    localedata: Make IBM273 compatible with ISO-8859-1 [BZ #23290]
    
    Reviewed-by: Carlos O'Donell <carlos@redhat.com>

Comment 8 errata-xmlrpc 2019-08-06 12:49:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2118


Note You need to log in before you can comment on or make changes to this bug.